package MyApp::Controller;
use Moose;

has counter_model => (
    is       => 'ro',
    isa      => 'MyApp::Model',
    required => 1,
);

sub index {
    my $self = shift;
    return $self->counter_model->counter;
}

sub inc {
    my $self = shift;
    return $self->counter_model->inc;
}

sub dec {
    my $self = shift;
    return $self->counter_model->dec;
}

sub reset {
    my $self = shift;
    return $self->counter_model->reset;
}

sub set {
    my ( $self, $req, $value ) = @_;

    return $self->counter_model->set($value);
}

1;
