package MyApp::Model;
use Moose;

has counter => (
    traits  => ['Counter'],
    is      => 'ro',
    isa     => 'Int',
    default => 0,
    handles => {
        inc   => 'inc',
        dec   => 'dec',
        reset => 'reset',
        set   => 'set',
    },
);

1;
