package MyApp;
use OX;

has counter_model => (
    is        => 'ro',
    isa       => 'MyApp::Model',
    lifecycle => 'Singleton',
);

has counter_ctrl => (
    is    => 'ro',
    isa   => 'MyApp::Controller',
    infer => 1,
);

router as {
    route '/'            => 'counter_ctrl.index';
    route '/inc'         => 'counter_ctrl.inc';
    route '/dec'         => 'counter_ctrl.dec';
    route '/reset'       => 'counter_ctrl.reset';
    route '/set/:number' => 'counter_ctrl.set' => (
        number => { isa => 'Int' },
    );
};
